SDL_FRect Struct Reference

A rectangle, with the origin at the upper left (floating point). More...

`#include <SDL_rect.h>`

## Data Fields

float | x
float | y
float | w
float | h

## Detailed Description

A rectangle, with the origin at the upper left (floating point).

Definition at line 87 of file SDL_rect.h.

## Field Documentation

## h

float SDL_FRect::h

Definition at line 92 of file SDL_rect.h.

Referenced by RenderDrawLinesWithRects(), RenderDrawLinesWithRectsF(), RenderDrawPointsWithRects(), RenderDrawPointsWithRectsF(), SDL_HasIntersectionF(), SDL_RenderCopy(), SDL_RenderCopyEx(), SDL_RenderCopyExF(), SDL_RenderCopyF(), SDL_RenderDrawRect(), SDL_RenderDrawRectF(), SDL_RenderFillRect(), SDL_RenderFillRectF(), SDL_RenderFillRects(), SDL_RenderFillRectsF(), SW_QueueCopy(), and SW_QueueCopyEx().

## w

float SDL_FRect::w

Definition at line 91 of file SDL_rect.h.

Referenced by RenderDrawLinesWithRects(), RenderDrawLinesWithRectsF(), RenderDrawPointsWithRects(), RenderDrawPointsWithRectsF(), SDL_HasIntersectionF(), SDL_RenderCopy(), SDL_RenderCopyEx(), SDL_RenderCopyExF(), SDL_RenderCopyF(), SDL_RenderDrawRect(), SDL_RenderDrawRectF(), SDL_RenderFillRect(), SDL_RenderFillRectF(), SDL_RenderFillRects(), SDL_RenderFillRectsF(), SW_QueueCopy(), and SW_QueueCopyEx().

## x

float SDL_FRect::x

Definition at line 89 of file SDL_rect.h.

Referenced by RenderDrawLinesWithRects(), RenderDrawLinesWithRectsF(), RenderDrawPointsWithRects(), RenderDrawPointsWithRectsF(), SDL_HasIntersectionF(), SDL_RenderCopy(), SDL_RenderCopyEx(), SDL_RenderCopyExF(), SDL_RenderCopyF(), SDL_RenderDrawRect(), SDL_RenderDrawRectF(), SDL_RenderFillRect(), SDL_RenderFillRectF(), SDL_RenderFillRects(), SDL_RenderFillRectsF(), SW_QueueCopy(), and SW_QueueCopyEx().

## y

float SDL_FRect::y

Definition at line 90 of file SDL_rect.h.

Referenced by RenderDrawLinesWithRects(), RenderDrawLinesWithRectsF(), RenderDrawPointsWithRects(), RenderDrawPointsWithRectsF(), SDL_HasIntersectionF(), SDL_RenderCopy(), SDL_RenderCopyEx(), SDL_RenderCopyExF(), SDL_RenderCopyF(), SDL_RenderDrawRect(), SDL_RenderDrawRectF(), SDL_RenderFillRect(), SDL_RenderFillRectF(), SDL_RenderFillRects(), SDL_RenderFillRectsF(), SW_QueueCopy(), and SW_QueueCopyEx().

The documentation for this struct was generated from the following file:

- include/SDL_rect.h